if(NOT opm-parser_FOUND)
  #import the target
  if(NOT ecl_DIR)
      set(ecl_DIR /usr/share/cmake/ecl)
  endif()
  # Find without registry
  find_package(ecl NO_CMAKE_PACKAGE_REGISTRY NO_CMAKE_SYSTEM_PACKAGE_REGISTRY)
  # Fall back to registry
  find_package(ecl REQUIRED)

  get_filename_component(_dir "${CMAKE_CURRENT_LIST_FILE}" PATH)
  include("${_dir}/opm-parser-targets.cmake")

  #report other information
  set(opm-parser_INSTALLED "ON")
  set(opm-parser_PREFIX "/usr")
  set(opm-parser_INCLUDE_DIRS "/usr/include")
  set(opm-parser_LIBRARY_DIRS "/usr/lib64")
  set(opm-parser_CXX_FLAGS "-std=c++11 ")
  set(opm-parser_CXX_FLAGS_DEBUG "-pedantic -Wall -Wextra -Wformat-nonliteral -Wcast-align -Wpointer-arith -Wmissing-declarations -Wcast-qual -Wshadow -Wwrite-strings -Wchar-subscripts -Wredundant-decls -g")
  set(opm-parser_CXX_FLAGS_MINSIZEREL "-Os -DNDEBUG")
  set(opm-parser_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
  set(opm-parser_CXX_FLAGS_RELWITHDEBINFO "-O2 -g -DNDEBUG")
  set(opm-parser_LIBRARIES "opmparser")
  set(opm-parser_MODULE_PATH "/usr/share/dune/cmake/modules")
endif(NOT opm-parser_FOUND)
